package main

import (
	"os"

	"go.wit.com/lib/protobuf/gitpb"
	"go.wit.com/log"
)

// sent via ldflags
var VERSION string

func main() {
	var repos *gitpb.Repos
	repos = new(gitpb.Repos)

	newr, err := repos.NewGoPath("/home/jcarr/go/src", "go.wit.com/apps/wit-package")
	if err != nil {
		log.Info("init failed", err)
		panic("crapnuts")
	} else {
		log.Info("init worked for", newr.GoPath)
	}

	newr, err = repos.NewGoPath("/home/jcarr/go/src", "go.wit.com/apps/notathing")
	if err != nil {
		log.Info("init failed correctly:", err)
	} else {
		log.Info("init should have failed for", newr.GoPath)
		panic("crapnuts")
	}

	/*
		log.Info(forgepb.RepoHeader())
		loop := repos.SortByPath() // get the list of repos
		for loop.Scan() {
			r := loop.Repo()
			log.Info("repo:", r.GoPath)
		}
	*/
	/*
		log.Info("going to add a new repo", argv.GoPath)
		new1 := forgepb.Repo{
			GoPath:      argv.GoPath,
			Writable:    argv.Writable,
			ReadOnly:    argv.ReadOnly,
			Private:     argv.Private,
			Directory:   argv.Directory,
			Favorite:    argv.Favorite,
			Interesting: argv.Interesting,
		}
	*/
	os.Exit(0)
}
